Bug 245695 - evolution crashes on start up for me
evolution crashes on start up for me
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
: 245958 248914 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 00:49 EDT by Ray Strode [halfline]
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.10.3-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 22:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
problem goes away with this patch, don't know if it's right (478 bytes, patch)
2007-07-13 12:17 EDT, Ray Strode [halfline]
no flags Details | Diff
the trace generated by bug-buddy (16.72 KB, text/plain)
2007-07-16 13:00 EDT, Jobst Hoffmann
no flags Details

  None (edit)
Description Ray Strode [halfline] 2007-06-26 00:49:46 EDT
evolution started crashing on startup for me about a week ago or so I guess.

$ gdb evolution
GNU gdb Red Hat Linux (6.6-17.fc8rh)
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
Using host libthread_db library "/lib/libthread_db.so.1".
(gdb) r
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
[New Thread -1209177824 (LWP 2993)]
CalDAV Eplugin starting up ...
evolution-shell-Message: Killing old version of evolution-data-server...
[Detaching after fork from child process 2999. (Try `set detach-on-fork off'.)]
[Detaching after fork from child process 3001.]
[Detaching after fork from child process 3003.]
[Detaching after fork from child process 3005.]
[Detaching after fork from child process 3007.]
[Detaching after fork from child process 3009.]
[Detaching after fork from child process 3011.]
[Detaching after fork from child process 3013.]
[Detaching after fork from child process 3019.]
Loading Spamassasin as the default junk plugin
** (evolution:2993): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:2993): DEBUG: mailto URL program: evolution
[New Thread -1235936368 (LWP 3023)]
[Thread -1235936368 (LWP 3023) exited]
[New Thread -1235936368 (LWP 3024)]
[Thread -1235936368 (LWP 3024) exited]
[New Thread -1235936368 (LWP 3025)]
[New Thread -1246823536 (LWP 3026)]
[New Thread -1257313392 (LWP 3027)]
[New Thread -1267803248 (LWP 3028)]
[New Thread -1278293104 (LWP 3029)]
[Thread -1257313392 (LWP 3027) exited]
[Thread -1246823536 (LWP 3026) exited]
[Thread -1278293104 (LWP 3029) exited]
[New Thread -1278293104 (LWP 3030)]
get rstrode imap://rstrode@mail.boston.redhat.com/
[Thread -1278293104 (LWP 3030) exited]
[Thread -1267803248 (LWP 3028) exited]
[New Thread -1267803248 (LWP 3031)]
[New Thread -1278293104 (LWP 3032)]
[Thread -1267803248 (LWP 3031) exited]
[Thread -1278293104 (LWP 3032) exited]
[New Thread -1278293104 (LWP 3061)]
[New Thread -1267803248 (LWP 3062)]
[New Thread -1246823536 (LWP 3066)]
[Thread -1278293104 (LWP 3061) exited]
[Thread -1267803248 (LWP 3062) exited]
[Thread -1246823536 (LWP 3066) exited]
[New Thread -1246823536 (LWP 3067)]
[New Thread -1267803248 (LWP 3068)]
[New Thread -1278293104 (LWP 3069)]
[Thread -1267803248 (LWP 3068) exited]
[New Thread -1267803248 (LWP 3070)]
[Thread -1267803248 (LWP 3070) exited]
[Thread -1246823536 (LWP 3067) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1209177824 (LWP 2993)]
0x00000001 in ?? ()

(gdb) t a a bt full

Thread 17 (Thread -1278293104 (LWP 3069)):
#0  0x02ea8042 in strcmp () from /lib/libc.so.6
No symbol table info available.
#1  0x03070474 in IA__g_str_equal (v1=0x8729e30, v2=0x91c24a0) at gstring.c:77
No locals.
#2  0x03040fe9 in IA__g_hash_table_lookup_extended (hash_table=0x8414400, 
    lookup_key=0x91c24a0, orig_key=0xb3cec034, value=0xb3cec038) at ghash.c:252
        node = <value optimized out>
        __PRETTY_FUNCTION__ = "IA__g_hash_table_lookup_extended"
#3  0x002df631 in camel_pstring_add (
    str=0x91c24a0 "Development discussions related to Fedora Core
<fedora-devel-list@redhat.com>", own=1) at camel-string-utils.c:180
        pcount = <value optimized out>
        pstr = <value optimized out>
#4  0x0031b1ea in message_info_load (s=0x85c904c, in=0x86f8808)
    at camel-folder-summary.c:1819
        mi = (CamelMessageInfoBase *) 0x91c0ebc
        count = 3256539
        i = <value optimized out>
        subject = 0x91c1f08 ""
        from = 0x91c1ee0 ""
        to = 0x91c24a0 "Development discussions related to Fedora Core
<fedora-devel-list@redhat.com>"
        cc = 0x91c2348 ""
        mlist = 0x91c1fa8 "fedora-devel-list@redhat.com"
        uid = 0x91c23f8 "106313"
#5  0x03446960 in message_info_load (s=0x85c904c, in=0x86f8808)
    at camel-imap-summary.c:215
        info = <value optimized out>
        iinfo = <value optimized out>
#6  0x00319a61 in camel_folder_summary_load (s=0x85c904c)
    at camel-folder-summary.c:576
        in = (FILE *) 0x86f8808
        i = 35087
        mi = (CamelMessageInfo *) 0x91c0f08
#7  0x03446642 in camel_imap_summary_new (folder=0x85c849c, 
    filename=0x86cf008
"/home/rstrode/.evolution/mail/imap/rstrode@mail.boston.redhat.com/folders/INBOX/summary")
at camel-imap-summary.c:140
        summary = (CamelFolderSummary *) 0x85c904c
#8  0x03438c42 in camel_imap_folder_new (parent=0x83da1f0, 
    folder_name=0x344afad "INBOX", 
    folder_dir=0x8700a88
"/home/rstrode/.evolution/mail/imap/rstrode@mail.boston.redhat.com/folders/INBOX",
ex=0xb3cec2b4) at camel-imap-folder.c:248
        folder = (CamelFolder *) 0x85c849c
        imap_folder = <value optimized out>
        short_name = <value optimized out>
#9  0x03440fb3 in get_folder_offline (store=0x83da1f0, 
    folder_name=0x344afad "INBOX", flags=0, ex=0xb3cec2b4)
    at camel-imap-store.c:2078
        folder_dir = 0x8700a88
"/home/rstrode/.evolution/mail/imap/rstrode@mail.boston.redhat.com/folders/INBOX"
        imap_store = (CamelImapStore *) 0x83da1f0
        new_folder = <value optimized out>
        si = (CamelStoreInfo *) 0x83afda0
#10 0x03441f81 in get_folder_online (store=0x83da1f0, 
    folder_name=0x86f0829 "INBOX", flags=0, ex=0xb3cec2b4)
    at camel-imap-store.c:1859
        imap_store = <value optimized out>
        response = <value optimized out>
        new_folder = <value optimized out>
        folder_dir = <value optimized out>
#11 0x0030ebe9 in disco_get_folder (store=0x83da1f0, name=0x86f0829 "INBOX", 
    flags=0, ex=0xb3cec2b4) at camel-disco-store.c:235
        __PRETTY_FUNCTION__ = "disco_get_folder"
#12 0x0033606f in camel_store_get_folder (store=0x83da1f0, 
    folder_name=0x86f0829 "INBOX", flags=<value optimized out>, ex=0xb3cec2b4)
    at camel-store.c:262
        folder = <value optimized out>
        __PRETTY_FUNCTION__ = "camel_store_get_folder"
#13 0x0194556a in mail_tool_uri_to_folder (
    uri=0x8716108 "imap://rstrode@mail.boston.redhat.com/INBOX", flags=0, 
    ex=0xb3cec2b4) at mail-tools.c:333
        name = 0x91c24a9 "nt discussions related to Fedora Core
<fedora-devel-list@redhat.com>"
        url = (CamelURL *) 0x85d3350
        folder = (CamelFolder *) 0x0
        offset = 0
        curi = 0x0
        __PRETTY_FUNCTION__ = "mail_tool_uri_to_folder"
#14 0x01941527 in refresh_folders_exec (m=0x86d5750) at mail-send-recv.c:788
        i = 0
        folder = (CamelFolder *) 0x8700618
        ex = {id = CAMEL_EXCEPTION_NONE, desc = 0x0}
#15 0x0193b5b9 in mail_msg_proxy (msg=0x86d5750) at mail-mt.c:491
No locals.
#16 0x03073208 in g_thread_pool_thread_proxy (data=0x83cada8)
    at gthreadpool.c:265
        task = (gpointer) 0x86d5750
        pool = (GRealThreadPool *) 0x83cada8
#17 0x0307184f in g_thread_create_proxy (data=0x8716918) at gthread.c:594
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#18 0x003fa2fb in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#19 0x02f0a93e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 4 (Thread -1235936368 (LWP 3025)):
#0  0x0012d402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x02f00b73 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x03051563 in g_main_context_iterate (context=0x84e7ac8, block=1, 
    dispatch=1, self=0x84e7f20) at gmain.c:2996
        got_ownership = <value optimized out>
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 2
        allocated_nfds = <value optimized out>
        fds = (GPollFD *) 0x84ed600
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x030518d9 in IA__g_main_loop_run (loop=0x84e5188) at gmain.c:2898
        got_ownership = 4178544
        self = (GThread *) 0x84e7f20
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x018065d4 in ?? () from /usr/lib/libnm_glib.so.0
No symbol table info available.
#5  0x0307184f in g_thread_create_proxy (data=0x84e7f20) at gthread.c:594
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x003fa2fb in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x02f0a93e in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread -1209177824 (LWP 2993)):
#0  0x00000001 in ?? ()
No symbol table info available.
#1  0x0193bd1c in mail_msg_idle_cb () at mail-mt.c:464
        __PRETTY_FUNCTION__ = "mail_msg_idle_cb"
#2  0x0304c521 in g_idle_dispatch (source=0x8f09858, callback=0x86d5800, 
    user_data=0x0) at gmain.c:4131
No locals.
#3  0x0304e0ec in IA__g_main_context_dispatch (context=0x8386458)
    at gmain.c:2061
No locals.
#4  0x0305152f in g_main_context_iterate (context=0x8386458, block=1, 
    dispatch=1, self=0x83636c8) at gmain.c:2694
        got_ownership = <value optimized out>
        max_priority = 2147483647
        timeout = 124
        some_ready = 1
        nfds = <value optimized out>
        allocated_nfds = <value optimized out>
        fds = (GPollFD *) 0x86d8cc0
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#5  0x030518d9 in IA__g_main_loop_run (loop=0x83a8798) at gmain.c:2898
        got_ownership = 4178544
        self = (GThread *) 0x83636c8
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#6  0x007f67d3 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#7  0x0805f76c in main (argc=1, argv=0xbffeff34) at main.c:593
        fd = 4178544
        client = (GConfClient *) 0x838c358
        skip_warning_dialog = <value optimized out>
        program = (GnomeProgram *) 0x836c810
        context = <value optimized out>
(gdb)
Comment 1 Ray Strode [halfline] 2007-06-26 00:57:35 EDT
package versions are:
evolution-2.11.4-1.fc8.i386 
evolution-data-server-1.11.4-1.fc8.i386
Comment 2 Ray Strode [halfline] 2007-06-26 15:00:40 EDT
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208194784 (LWP 2672)]
0x00000001 in ?? ()
(gdb) where
#0  0x00000001 in ?? ()
#1  0x0638770d in mail_msg_idle_cb () at mail-mt.c:464
#2  0x04993521 in g_idle_dispatch (source=0x914ddc8, callback=0x1, 
    user_data=0x0) at gmain.c:4131
#3  0x049950ec in IA__g_main_context_dispatch (context=0x8f96458)
    at gmain.c:2061
#4  0x0499852f in g_main_context_iterate (context=0x8f96458, block=1, 
    dispatch=1, self=0x8f736c8) at gmain.c:2694
#5  0x049988d9 in IA__g_main_loop_run (loop=0x8fb8798) at gmain.c:2898
#6  0x0081b7d3 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#7  0x08061cf3 in main (argc=1, argv=0xbfb7b2a4) at main.c:593
(gdb) Quit
(gdb) up
#1  0x0638770d in mail_msg_idle_cb () at mail-mt.c:464
464                             msg->info->done (msg);
(gdb) p *msg
$1 = {info = 0x9108890, ref_count = 0, seq = 57, priority = 0, 
  cancel = 0x931ce80, ex = {id = CAMEL_EXCEPTION_NONE, desc = 0x0}, 
  priv = 0x904bbe0}
(gdb) p *msg->info
$2 = {size = 151986000, desc = 0, exec = 0, done = 0x1, free = 0x30}
(gdb) 
Comment 3 Ray Strode [halfline] 2007-06-26 15:04:48 EDT
valgrind says,

==2840== 
==2840== Jump to the invalid address stated on the next line
==2840==    at 0x1: ???
==2840==    by 0x51FA520: g_idle_dispatch (gmain.c:4131)
==2840==    by 0x51FC0EB: g_main_context_dispatch (gmain.c:2061)
==2840==    by 0x51FF52E: g_main_context_iterate (gmain.c:2694)
==2840==    by 0x51FF8D8: g_main_loop_run (gmain.c:2898)
==2840==    by 0x47317D2: bonobo_main (in /usr/lib/libbonobo-2.so.0.0.0)
==2840==    by 0x8061CF2: main (main.c:593)
==2840==  Address 0x1 is not stack'd, malloc'd or (recently) free'd

and then evolution stops redrawing
Comment 4 Matthew Barnes 2007-06-27 12:51:37 EDT
*** Bug 245958 has been marked as a duplicate of this bug. ***
Comment 5 Matthew Barnes 2007-06-27 12:54:33 EDT
I have a potential fix for a bug with similar memory issues (bug #245289).

Can you please try evolution-2.11.4-2.fc8 and see if that helps here?
Comment 6 Ray Strode [halfline] 2007-06-27 14:29:10 EDT
Unfortunately, no.

also export G_SLICE=always-malloc doesn't help either
Comment 7 Jobst Hoffmann 2007-06-28 05:39:55 EDT
The same holds for me, installing of 

evolution.i386                           2.11.4-1.fc8           installed       
evolution-data-server.i386               1.11.4-1.fc8           installed 

changed nothing of the behaviour, evolution crashes immediately; i can't test
the x86_64 version at the moment
Comment 8 Jobst Hoffmann 2007-06-28 05:48:48 EDT
I'm sorry, I've installed the wrong version, but where can I find
evolution-2.11.4-2.fc8?

Below rawhide I find only the previous mentioned packages...
Comment 9 Ray Strode [halfline] 2007-07-13 11:59:50 EDT
ah much better valgrind output today:

==31629== Invalid read of size 4
==31629==    at 0x6411BD7: mail_msg_idle_cb (mail-mt.c:472)
==31629==    by 0x51FC520: g_idle_dispatch (gmain.c:4131)
==31629==    by 0x51FE0EB: g_main_context_dispatch (gmain.c:2061)
==31629==    by 0x520152E: g_main_context_iterate (gmain.c:2694)
==31629==    by 0x52018D8: g_main_loop_run (gmain.c:2898)
==31629==    by 0x47317D2: bonobo_main (in /usr/lib/libbonobo-2.so.0.0.0)
==31629==    by 0x8061CF2: main (main.c:593)
==31629==  Address 0xD879320 is 0 bytes inside a block of size 48 free'd
==31629==    at 0x40220FF: free (vg_replace_malloc.c:233)
==31629==    by 0x5205820: g_free (gmem.c:187)
==31629==    by 0x521A656: g_slice_free1 (gslice.c:865)
==31629==    by 0x6410BD7: mail_msg_free (mail-mt.c:192)
==31629==    by 0x6410EA9: mail_msg_unref (mail-mt.c:259)
==31629==    by 0x641AC16: user_message_exec (mail-session.c:345)
==31629==    by 0x6411BD3: mail_msg_idle_cb (mail-mt.c:471)
==31629==    by 0x51FC520: g_idle_dispatch (gmain.c:4131)
==31629==    by 0x51FE0EB: g_main_context_dispatch (gmain.c:2061)
==31629==    by 0x520152E: g_main_context_iterate (gmain.c:2694)
==31629==    by 0x52018D8: g_main_loop_run (gmain.c:2898)
==31629==    by 0x47317D2: bonobo_main (in /usr/lib/libbonobo-2.so.0.0.0)

double free...  Probably some ref counting issue.
Comment 10 Ray Strode [halfline] 2007-07-13 12:05:59 EDT
hahah, user_message_exec, is reponsible for putting up message dialogs.

The mail quota alert has bitten me /AGAIN/!
Comment 11 Ray Strode [halfline] 2007-07-13 12:17:51 EDT
Created attachment 159203 [details]
problem goes away with this patch, don't know if it's right
Comment 12 Matthew Barnes 2007-07-13 12:35:07 EDT
Thanks Ray!  Looks right to me.

I hate that user_message_exec() function.  It's been the source of more crashes
than I care to recall.  I'd like to redesign that whole annoy/alert the user
mechanism.
Comment 13 Matthew Barnes 2007-07-14 15:49:36 EDT
Should be fixed now in evolution-2.11.5-1.fc8 and evolution-2.10.3-2.fc7.
Comment 14 Fedora Update System 2007-07-16 12:54:33 EDT
evolution-2.10.3-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Jobst Hoffmann 2007-07-16 13:00:43 EDT
Created attachment 159341 [details]
the trace generated by bug-buddy

I've installed the new version of evolution, but it keeps crashing, see the
trace which was generated by bug buddy

Please tell me if I can help in any way
Comment 16 Matthew Barnes 2007-07-19 14:02:26 EDT
*** Bug 248914 has been marked as a duplicate of this bug. ***
Comment 17 Fedora Update System 2007-08-02 22:43:08 EDT
evolution-2.10.3-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.